<style type="text/css"> /*codigo que permite la funcion autocompleta en modales*/
	.ui-autocomplete {
		z-index: 5000;
	}
</style>
<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Comunicado
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Caja</li>
				<li class="breadcrumb-item active">Comunicado</li>
            </ol>
          </div>
		</div>
	</div>
</div>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0%;" >
		    <div class="card">
		        <div class="card-header">
		          <button id="btn_agregar" onClick="comunicado_form('insertar')" class="btn btn-primary">Agregar</button>
		          <button id="btn_actualizar" class="btn btn-default">Actualizar</button>		        
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>
	
	
	
	<!-- busqueda de registros -->
	<div id="div_comunicado_filtro" > </div>
	 
	<!-- formulario de registro -->
			<div class="modal fade" id="div_comunicado_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog modal-lg"  role="document" >
			<div class="modal-content">
			<div class="modal-body div_comunicado_form" style="padding:0%;" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
	<!-- Form  impresion -->
	
	<!-- lista de registros  -->
	<div id="div_comunicado_tabla"></div>
<script type="text/javascript">
function comunicado_filtro()
	{
		$.ajax({
			type: "POST",
			url: "../comunicado/comunicado_filtro.php",
			async:true,
			dataType: "html",                      
			data: ({
			
			}),
			beforeSend: function() {
				
			},
			success: function(html){
				$('#div_comunicado_filtro').html(html);
			},
			complete: function(){
				
			}
		});
	}
	function comunicado_tabla()
	{
		$.ajax({
			type: "POST",
			url: '../comunicado/comunicado_tabla.php',
			async:true,
			dataType: "html",                      
			data: $("#for_fil_com").serialize(),
			beforeSend: function() {
				$('#div_comunicado_tabla').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_comunicado_tabla').html(html);
			},
			complete: function(){			
				$('#div_comunicado_tabla').removeClass("ui-state-disabled");
			}
		});     
	}
	
	function comunicado_form(act,idf)
	{
		$('#div_comunicado_form_dialog').modal(); 
		$.ajax({
			type: "POST",
			url: "../comunicado/comunicado_form.php",
			async:true,
			dataType: "html",                      
			data: ({
				action: act,
				com_id:	idf,
				vista: 'comunicado_tabla'
			}),
			beforeSend: function(){
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
			$('.div_comunicado_form').html(div);
			},
			success: function(html){
			$('.div_comunicado_form').html(html);				
			}
		});
	}
	function comunicado_eliminar(id)
	{      
		if(confirm("Realmente desea eliminar?")){
			$.ajax({
				type: "POST",
				url: "../comunicado/comunicado_reg.php",
				async:true,
				dataType: "html",
				data: ({
					action: "eliminar",
					com_id:		id
				}),
				beforeSend: function() {
				},
				success: function(html){
					toastr["success"](html);	
				},
				complete: function(){
					comunicado_tabla();
				}
			});
		}
	}
 
 $(function() {
	
	$('#btn_actualizar').click(function() {
		$("#contenido").load("../comunicado/comunicado_vista.php");
	});
	comunicado_filtro();
	setTitle("COMUNICADO - "+nombreEmpresa);
});
 
</script> 